Bug 9013 - logrotate produces error message when run
logrotate produces error message when run
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-01-31 04:56 EST by Kern Sibbald
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-07 07:26:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kern Sibbald 2000-01-31 04:56:32 EST
Every time logrotate is run (daily by cron.daily), it emails the
following error message to root:

error: syslog:25 duplicate log entry for /var/log/boot.log

Solution remove the /var/log/boot.log entry in
/etc/logrotate.d/linuxconf as it is already in /etc/logrotate.d/syslog

--- /etc/logrotate.d/linuxconf.bad      Mon Jan 31 11:03:36 2000
+++ /etc/logrotate.d/linuxconf  Mon Jan 31 10:45:49 2000
@@ -11,7 +11,7 @@

-/var/log/boot.log {
-        nocompress
-        monthly
+#/var/log/boot.log {
+#        nocompress
+#        monthly
Comment 1 Nalin Dahyabhai 2000-02-07 07:26:59 EST
Please check that this is corrected in linuxconf-1.17r2-4 in Raw Hide:
and reopen this bug if you find that it isn't.

Newer versions of sysklogd now supply the configuration file that causes
logrotate to rotate /var/log/boot.log, so I'm changing the component for this
bug ID to sysklogd.

Note You need to log in before you can comment on or make changes to this bug.